Page MenuHomePhabricator

Learning Lua
Closed, ResolvedPublic

Description

Wednesday, 22. June, at 11:00 in Room 50

"Lua is a programming language implemented on Wikipedia with some substantial restrictions via Scribunto. Its purpose is to allow you to process the data which is available on Wikipedia content pages to allow various sorts of customized display of information." https://en.wikipedia.org/wiki/Help:Lua_for_beginners

The session aims at people with different level of experience in Lua - from beginners to people with a rather deep understanding of the language - to exchange knowledge and get everyone to a good level of programming in Lua. The goal is you leaving the session and being able to write your first small modules for Wikipedia.

For having a constructive session, we'll need to have people familiar with Lua exchanging in advance. If you feel confident with working with Lua and are interested in sharing your knowledge, please contact me.
If you want to finally want to be able to read and write some super cool Modules in Lua just come by at the Wikimania.

Having more than an hour might make sense for learning a new language, but we can try to cover the basics at least.

https://etherpad.wikimedia.org/p/WikimaniaHack16_LearningLua

Event Timeline

Lucie created this task.Jun 11 2016, 3:32 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 11 2016, 3:32 PM
Base added a subscriber: Base.Jun 12 2016, 12:48 AM

Nice. I sign up as interested in being an attendee of the session :) I already have experience editing modules, but having some systematic learning would be much appreciated.

Perhaps such sessions could be created on other cool but knowledge requiring things we have now? Like SPARQL queries.

Perhaps such sessions could be created on other cool but knowledge requiring things we have now? Like SPARQL queries.

Created T137743 for SPARQL

Lucie updated the task description. (Show Details)Jun 17 2016, 12:05 PM

Not totaly in the topic I guess, but where should one go to ask online question about Scribunto, as far as I see, there is no dedicated mailling list. Maybe this is the kind of information this session will bring. ^^

Not totaly in the topic I guess, but where should one go to ask online question about Scribunto, as far as I see, there is no dedicated mailling list. Maybe this is the kind of information this session will bring. ^^

You can use the wikitech-l mailing list, the #wikimedia-tech IRC channel, or a on-wiki page like [[m:Tech]]. :)

Ata added a subscriber: Ata.Jun 22 2016, 9:34 AM
Quiddity closed this task as Resolved.Jul 7 2016, 6:58 PM